What do I need to use JangoMail?

You’ll need an internet connection, and a modern web browser such as Chrome, Firefox, Safari, or Microsoft Edge/Internet Explorer 11. Recent/older releases of Internet Explorer generally work without issue, but are not guaranteed to so. You can also use our API to manage lists, messages, & files, send campaigns, and pull reports.